k_stop_gradient {keras} | R Documentation

## Returns `variables` but with zero gradient w.r.t. every other variable.

### Description

Returns `variables` but with zero gradient w.r.t. every other variable.

### Usage

    k_stop_gradient(variables)

### Arguments

`variables` | tensor or list of tensors to consider constant with respect to any other variable.

### Value

A single tensor or a list of tensors (depending on the passed argument) that has constant gradient with respect to any other variable.

### Keras Backend

This function is part of a set of Keras backend functions that enable lower level access to the core operations of the backend tensor engine (e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here: https://keras.rstudio.com/articles/backend.html#backend-functions.

[Package keras version 2.2.4 Index]